import type { Ref, ComputedRef, CSSProperties } from 'vue';
import { Toast } from '../type';
export declare function xPos(event: TouchEvent | MouseEvent): number;
export declare function yPos(event: TouchEvent | MouseEvent): number;
export type Coordinates = {
    x: number;
    y: number;
};
type Draggable = {
    hasMoved: ComputedRef<boolean>;
    draggableStyles: ComputedRef<CSSProperties>;
    isDragged: Readonly<Ref<boolean>>;
};
export default function useDraggable(props: {
    status: Required<Pick<Toast, 'id' | 'dragThreshold' | 'draggable'>>;
}, close: () => void): Draggable;
export {};
