import type { Settings } from '../type';
type DefaultSettings = Omit<Required<Settings>, 'transition'> & Pick<Settings, 'transition'>;
type UseSettings = {
    settings: DefaultSettings;
    updateSettings: <T extends keyof Settings | Settings>(key: T, value?: T extends keyof Settings ? Settings[T] : never) => Settings;
};
/**
 * Base settings applying plugin wide.
 */
export default function useSettings(): UseSettings;
export {};
